Compile Error "wine-compholio" [Solved]

Anything that pertains to Portage

Moderator: Moderators

Compile Error "wine-compholio" [Solved]

Postby deusr » Sat Jun 28, 2014 18:35

I will not only show the error, but what I did and the error of compilation.

Added a new font to the layman: https://github.com/ryao/pipelight-overl ... ter/README

Code: Select all
neit talesam # layman -o https://raw.github.com/ryao/pipelight-overlay/master/overlay.xml -f -a pipelight

 * Fetching remote list,...
 * Fetching new list... https://raw.github.com/ryao/pipelight-overlay/master/overlay.xml
 * Last-modified: Sat, 28 Jun 2014 16:46:47 GMT
 * Remote list already up to date: http://www.gentoo.org/proj/en/overlays/repositories.xml
 * Last-modified: Tue, 24 Jun 2014 23:50:04 GMT
 * Fetch Ok

 * Adding overlay,...
 * Running Git... # ( cd /var/lib/layman  && /usr/bin/git clone git://github.com/ryao/pipelight-overlay.git /var/lib/layman/pipelight )
Cloning into '/var/lib/layman/pipelight'...
remote: Reusing existing pack: 94, done.
remote: Total 94 (delta 0), reused 0 (delta 0)
Receiving objects: 100% (94/94), 34.78 KiB | 0 bytes/s, done.
Resolving deltas: 100% (37/37), done.
Checking connectivity... done.
 * Running Git... # ( cd /var/lib/layman/pipelight  && /usr/bin/git config user.name "layman" )
 * Running Git... # ( cd /var/lib/layman/pipelight  && /usr/bin/git config user.email "[email protected]" )
 * Successfully added overlay(s) pipelight.


After...

Code: Select all
neit talesam # mkdir -p mkdir -p /etc/portage/package.accept_keywords
neit talesam # echo 'app-emulation/wine-compholio ~*' >> /etc/portage/package.accept_keywords/pipelight-overlay
neit talesam # echo '=www-plugins/pipelight-9999 **' >> /etc/portage/package.accept_keywords/pipelight-overlay
neit talesam # layman -S

 * Fetching remote list,...
 * Remote list already up to date: http://www.gentoo.org/proj/en/overlays/repositories.xml
 * Last-modified: Tue, 24 Jun 2014 23:50:04 GMT
 * Fetch Ok

 * Syncing selected overlays,...
 * Running Git... # ( cd /var/lib/layman/pipelight  && /usr/bin/git pull )
Already up-to-date.
 *
 * Succeeded:
 * ------
 * Successfully synchronized overlay "pipelight".
 *
 *
 * Warnings:
 * ------
 * Overlay "pipelight" could not be found in the remote lists.
 * Please check if it has been renamed and re-add if necessary.
 *


After...

Code: Select all
neit talesam # emerge -av =www-plugins/pipelight-9999

 * IMPORTANT: 10 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] app-emulation/wine-compholio-1.7.14::pipelight  USE="X alsa cups fontconfig gecko gphoto2 gsm jpeg lcms ldap mp3 ncurses nls openal opengl perl png prelink pulseaudio realtime run-exes scanner ssl threads truetype udisks v4l xinerama xml -capi -custom-cflags -dos -gstreamer -mono -netapi -odbc -opencl -osmesa -oss -samba (-selinux) {-test} -xcomposite" ABI_X86="32 (64) (-x32)" LINGUAS="ar bg ca cs da de el en en_US eo es fa fi fr he hi hr hu it ja ko lt nb_NO nl pa pl pt_BR pt_PT ro ru sk sl sv tr uk zh_CN zh_TW -ml -or -rm [email protected] [email protected] -te -th -wa" 66,012 kB
[ebuild     U *] www-plugins/pipelight-9999::pipelight [0.2.3::sabayon] USE="(-binary-pluginloader%*) (-flash%) (-foxitpdf%) (-grandstream%) (-installation-dialogs%) (-shockwave%) (-silverlight%*) (-static%) (-unity3d%)" 0 kB

Total: 2 packages (1 upgrade, 1 new), Size of downloads: 66,012 kB

!!! The following installed packages are masked:
- net-im/skype-4.2.0.13::gentoo (masked by: skype-4.0.0.7-copyright license(s))
A copy of the 'skype-4.0.0.7-copyright' license is located at '/usr/portage/licenses/skype-4.0.0.7-copyright'.

- www-plugins/adobe-flash-11.2.202.378::gentoo (masked by: AdobeFlash-11.x license(s))
A copy of the 'AdobeFlash-11.x' license is located at '/usr/portage/licenses/AdobeFlash-11.x'.

- www-plugins/google-talkplugin-5.4.2.0::gentoo (masked by: Google-TOS license(s))
A copy of the 'Google-TOS' license is located at '/usr/portage/licenses/Google-TOS'.

- www-client/google-chrome-35.0.1916.153_p1::gentoo (masked by: google-chrome license(s))
A copy of the 'google-chrome' license is located at '/usr/portage/licenses/google-chrome'.

- app-emulation/virtualbox-bin-4.3.12.93733::gentoo (masked by: PUEL license(s))
A copy of the 'PUEL' license is located at '/usr/portage/licenses/PUEL'.

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


Would you like to merge these packages? [Yes/No]


When I sent gave compile error, now moves the file related to the error ...

Code: Select all
warning: System 16: missing glyph for char 0e54
warning: System 16: missing glyph for char 0e55
warning: System 16: missing glyph for char 0e56
warning: System 16: missing glyph for char 0e57
warning: System 16: missing glyph for char 0e58
warning: System 16: missing glyph for char 0e59
warning: System 16: missing glyph for char 0e5a
warning: System 16: missing glyph for char 0e5b
warning: System 16: missing glyph for char f8c5
warning: System 16: missing glyph for char f8c6
warning: System 16: missing glyph for char f8c7
warning: System 16: missing glyph for char f8c8
make[1]: *** No rule to make target `../include/wtypes.h', needed by `sock.o'.  Stop.
make[1]: *** Waiting for unfinished jobs....
/var/tmp/portage/app-emulation/wine-compholio-1.7.14/work/wine-1.7.14/tools/wrc/parser.y: conflicts: 5 shift/reduce
/var/tmp/portage/app-emulation/wine-compholio-1.7.14/work/wine-1.7.14/tools/wrc/parser.y: conflicts: 5 shift/reduce
make: *** [server] Error 2
make: *** Waiting for unfinished jobs....
 * ERROR: app-emulation/wine-compholio-1.7.14::pipelight failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=app-emulation/wine-compholio-1.7.14::pipelight'`,
 * the complete build log and the output of `emerge -pqv '=app-emulation/wine-compholio-1.7.14::pipelight'`.
 * The complete build log is located at '/var/tmp/portage/app-emulation/wine-compholio-1.7.14/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-emulation/wine-compholio-1.7.14/temp/environment'.
 * Working directory: '/var/tmp/portage/app-emulation/wine-compholio-1.7.14/work/wine-1.7.14-abi_x86_32.x86'
 * S: '/var/tmp/portage/app-emulation/wine-compholio-1.7.14/work/wine-1.7.14'

>>> Failed to emerge app-emulation/wine-compholio-1.7.14, Log file:

>>>  '/var/tmp/portage/app-emulation/wine-compholio-1.7.14/temp/build.log'


Files logs:

- emerge --info '=app-emulation/wine-compholio-1.7.14::pipelight' - https://pastebin.sabayon.org/pastie/16904
- emerge -pqv '=app-emulation/wine-compholio-1.7.14::pipelight' - https://pastebin.sabayon.org/pastie/16905
- /var/tmp/portage/app-emulation/wine-compholio-1.7.14/temp/build.log - https://pastebin.sabayon.org/pastie/16906
- /var/tmp/portage/app-emulation/wine-compholio-1.7.14/temp/environment - https://pastebin.sabayon.org/pastie/16907
Last edited by deusr on Tue Jul 01, 2014 22:16, edited 1 time in total.
deusr
Growing Hen
 
Posts: 168
Joined: Mon Feb 23, 2009 7:23

Re: Compile Error "wine-compholio"

Postby albfneto » Sun Jun 29, 2014 16:24

see my personal message also.

You added an Experimental Overlay, in this manner you need to unmask manually many dependencies.

seems to me more simply use the same version hosted in the Official Overlay Furikake

http://gpo.zugaina.org/www-plugins/pipelight

Since in your system the pipelight package is already unmasked,

If you want in the manner same that you tried, test to "simplify" the procedure, adding option without dependencies to the emerge command... :

Code: Select all
emerge -av --nodeps =www-plugins/pipelight-9999


further, if pipelight not works and ask for the deps, install then with Entropy with options ..nodeps.
ALBERTO FEDERMAN NETO
albfneto
[email protected]
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1709
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Re: Compile Error "wine-compholio"

Postby deusr » Tue Jul 01, 2014 3:33

Use "--nodeps" in pipelight, will not do, I need the wine-comphoio. I saw the guy that created the ebuild him said he will put in the main portage tree, I think I'll wait then :/

https://answers.launchpad.net/pipelight ... ion/245919
deusr
Growing Hen
 
Posts: 168
Joined: Mon Feb 23, 2009 7:23

Re: Compile Error "wine-compholio"

Postby deusr » Tue Jul 01, 2014 22:15

I managed to solve my problem, which is to make netflix work, using this text: http://wiki.gentoo.org/wiki/Netflix/Pipelight#Pipelight

Only one who is important to follow this build in Sabayon, before giving a "make" to compile the wine export the correct library path with the command description:
export LD_LIBRARY_PATH="/usr/lib32/:$LD_LIBRARY_PATH"
deusr
Growing Hen
 
Posts: 168
Joined: Mon Feb 23, 2009 7:23

Re: Compile Error "wine-compholio" [Solved]

Postby MadmanRB » Fri Jul 04, 2014 5:26

Errf cannot get it to work and I dont want to compile to bypass drm....
Maybe next time sabayon, back to Ubuntu if this wont work (its something I want as i dont use windows anymore)
MadmanRB
Baby Hen
 
Posts: 13
Joined: Fri Jul 04, 2014 4:17

Re: Compile Error "wine-compholio" [Solved]

Postby deusr » Wed Jul 09, 2014 5:04

MadmanRB wrote:Errf cannot get it to work and I dont want to compile to bypass drm....
Maybe next time sabayon, back to Ubuntu if this wont work (its something I want as i dont use windows anymore)


Have available pipelight flag in wine that is in Portage, simply activate and build. If you can tell me, I could not, gave error and was unable to resolve. I'm hoping that a kind soul can create a package of wine with the flag "pipelight" active and makes available on Entropy :)
deusr
Growing Hen
 
Posts: 168
Joined: Mon Feb 23, 2009 7:23


Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest